{ pkgs, osConfig, ... }:
let
  my-pomodoro = pkgs.callPackage ../../packages/open-pomodoro.nix { };
  withCuda = if (osConfig.system.name == "gunter") then true else false;
in
{
  home.packages = with pkgs; [
    # My own packages
    my-pomodoro

    # Generic tools
    age
    alacritty
    bat
    unstable.btop
    # (unstable.btop.override {
    #   cudaSupport = true;
    # })
    bzip2
    croc
    unstable.dust
    easyeffects
    eza
    fd
    ffmpeg
    file
    unstable.fzf
    go-task
    glib
    jq
    kitty
    kubectl
    ncdu
    nwg-look
    mumble
    mpv
    nvd
    pamixer
    pinentry
    pre-commit
    (unstable.prismlauncher.override {
      withWaylandGLFW = true;
    })
    pulseaudio
    pulsemixer
    rbw
    restic
    ripgrep
    rofi-rbw-wayland
    sops
    spotify
    spicetify-cli
    sshfs
    unstable.tldr
    unstable.devenv
    unstable.ventoy
    discord
    zoxide

    # k8s tools
    unstable.talosctl
    unstable.k9s
    unstable.cilium-cli
    unstable.kubernetes-helm
    unstable.cmctl
    unstable.krew

    # steam
    # steam-run
    # steamcmd
    # gamescope
    tokei
    unzip
    yt-dlp
    unstable.zoom-us
    unstable.vmware-horizon-client

    # Editors
    # vscode

    # Go stuff
    go
    delve
    gopls

    # js/ts
    nodejs
    nodePackages.pnpm
    typescript

    # Py stuff
    (unstable.python312.withPackages (p: with p; [
      requests
      ipython
    ]))
    poetry
    ruff

    # rust stuff
    rustc
    cargo
    rust-analyzer

    # blender
    (unstable.blender.override {
      cudaSupport = withCuda;
    })

    # Homemade shit
    ghettoptt
  ];
}
